﻿--[[

Name: MusicStrem Bindings
Revision: $Revision: 24634 $
Date: $Date: 2007-01-11 03:28:12 -0500 (Thu, 11 Jan 2007) $
Author(s): benumbed (someone@somewhere.com)
Website: http://www.wowace.com/wiki/MusicStream
Documentation: http://www.wowace.com/wiki/MusicStream
SVN: http://svn.wowace.com/root/trunk/MusicStream
Description: Keybindings for MusicStream Mod
Dependencies: Ace2, MusicStream

]]--

--- ========================================================= ---
--- Add Locale
--- ========================================================= ---
local L = AceLibrary("AceLocale-2.2"):new("MusicStreamKeyBindings")

L:RegisterTranslations("enUS", function() return {
    ["Music Stream"] = true,
    ["Play Music Stream"] = true,
	["Stop Music Stream"] = true,
	["Previous Channel"] = true,
	["Next Channel"] = true,
} end)

L:RegisterTranslations("koKR", function() return {
	["Music Stream"] = "음악 방송",
	["Play Music Stream"] = "음악 방송 재생",
	["Stop Music Stream"] = "음악 방송 정지",
	["Previous Channel"] = "이전 채널",
	["Next Channel"] = "다음 채널",
} end)

--- ========================================================= ---
--- Register New Module
--- ========================================================= ---

MusicStreamKB = MusicStream:NewModule("Keybindings")

--- ========================================================= ---
--- On Initialize
--- ========================================================= ---

function MusicStreamKB:OnInitialize()
	BINDING_HEADER_MusicStream = L["Music Stream"]
	BINDING_NAME_TOGGLE_SCPLAY = L["Play Music Stream"]
	BINDING_NAME_TOGGLE_SCSTOP = L["Stop Music Stream"]
	BINDING_NAME_TOGGLE_SCPREV = L["Previous Channel"]
	BINDING_NAME_TOGGLE_SCNEXT = L["Next Channel"]
end
